'use strict';

var _loaderUtils = require('loader-utils');

var _loaderUtils2 = _interopRequireDefault(_loaderUtils);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function cssLocalLoader(source, map) {
  this.cacheable();
  var pathToSheet = _loaderUtils2.default.stringifyRequest(this, require.resolve(_path2.default.join(__dirname, './sheet.js')));
  var requireWrapper = '\n\n  var sheet = require(' + pathToSheet + ')(module.exports);\n\n  if (typeof global.Proxy === \'undefined\' || process.env.NODE_ENV === \'production\') {\n    sheet.locals = module.exports;\n  } else {\n    sheet.locals =  new Proxy(module.exports, {\n      get: function(target, name) {\n        return sheet.cf(name)\n      }\n    });\n  }\n\n  module.exports = sheet;\n\n  if (module.hot && process.env.NODE_ENV !== \'production\') {\n    module.hot.accept();\n  }\n';

  source = source + '\n\n' + requireWrapper;

  this.callback(null, source, map);
};